com.hazelcast.util.collection

## Class Int2ObjectHashMap.KeySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Integer>
    - - com.hazelcast.util.collection.Int2ObjectHashMap.KeySet

- All Implemented Interfaces:
    Iterable<Integer>, Collection<Integer>, Set<Integer>
  Enclosing class:
    Int2ObjectHashMap<V>

      public class Int2ObjectHashMap.KeySet
      extends AbstractSet<Integer>

  Adds non-boxing methods to the standard Set interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(int key)` Non-boxing variant of contains().
    `boolean` | `contains(Object o)`
    `boolean` | `isEmpty()`
    `Int2ObjectHashMap.KeyIterator` | `iterator()`
    `boolean` | `remove(int key)` Non-boxing variant of remove().
    `boolean` | `remove(Object o)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, containsAll, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### KeySet

          public KeySet()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Integer>`
      Specified by:
        `size` in interface `Set<Integer>`
      Specified by:
        `size` in class `AbstractCollection<Integer>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<Integer>`
      Specified by:
        `isEmpty` in interface `Set<Integer>`
      Overrides:
        `isEmpty` in class `AbstractCollection<Integer>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<Integer>`
      Specified by:
        `contains` in interface `Set<Integer>`
      Overrides:
        `contains` in class `AbstractCollection<Integer>`

    - #### contains

          public boolean contains(int key)

      Non-boxing variant of contains().

    - #### iterator

          public Int2ObjectHashMap.KeyIterator iterator()

      Specified by:
        `iterator` in interface `Iterable<Integer>`
      Specified by:
        `iterator` in interface `Collection<Integer>`
      Specified by:
        `iterator` in interface `Set<Integer>`
      Specified by:
        `iterator` in class `AbstractCollection<Integer>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<Integer>`
      Specified by:
        `remove` in interface `Set<Integer>`
      Overrides:
        `remove` in class `AbstractCollection<Integer>`

    - #### remove

          public boolean remove(int key)

      Non-boxing variant of remove().

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Integer>`
      Specified by:
        `clear` in interface `Set<Integer>`
      Overrides:
        `clear` in class `AbstractCollection<Integer>`

Copyright © 2019. All rights reserved.